Flash Support

Discuss phpwcms here, please do not post support requests, bug reports, or feature requests! Non-phpwcms questions, discussion goes in General Chat!
Post Reply
User avatar
Oliver Georgi
Site Admin
Posts: 9720
Joined: Fri 3. Oct 2003, 22:22
Location: Moscow, Russia
Contact:

Flash Support

Post by Oliver Georgi »

What do you think? Should I remove Flash support completely from phpwcms?
The reason: by the end of 2020 nearly all browsers will no longer support Flash.
Oliver Georgi | phpwcms Developer | GitHub | LinkedIn | Систрон
User avatar
Uwe367
Posts: 1105
Joined: Sat 15. Sep 2007, 07:19
Location: Koblenz

Re: Flash Support

Post by Uwe367 »

Flash is deprecated and, how you write, it will only take a short time and no modern Browser will support it longer. There are so much other solutions avaiable than flash. I say... remove it or at this time, in case of older Websites which are using flash in connection with phpwcms, set a "depecated" switch in conf.inc.php. in case of system updates. So the Admin can decide by itself what he want to do.
But in future Versions, maybe 2.0 if it is then sometime available :wink: , kick it out.

That´s my opinion to this.
nameless1
Posts: 867
Joined: Sun 27. Apr 2008, 23:22

Re: Flash Support

Post by nameless1 »

Remove Flash
Implement BT4 BE instead :D
User avatar
Oliver Georgi
Site Admin
Posts: 9720
Joined: Fri 3. Oct 2003, 22:22
Location: Moscow, Russia
Contact:

Re: Flash Support

Post by Oliver Georgi »

nameless1 wrote: Fri 4. Dec 2020, 12:31 Implement BT4 BE instead :D
BT5
Oliver Georgi | phpwcms Developer | GitHub | LinkedIn | Систрон
dani
Posts: 45
Joined: Sat 21. Jan 2006, 19:39
Location: Germany
Contact:

Re: Flash Support

Post by dani »

Will there maybe a security issue when we stay at BT 3.x ( EOL 2019-07-24 - https://github.com/twbs/release ) until BT 5.x is implemented?
User avatar
Oliver Georgi
Site Admin
Posts: 9720
Joined: Fri 3. Oct 2003, 22:22
Location: Moscow, Russia
Contact:

Re: Flash Support

Post by Oliver Georgi »

dani wrote: Sun 20. Dec 2020, 18:13 Will there maybe a security issue when we stay at BT 3.x ( EOL 2019-07-24 - https://github.com/twbs/release ) until BT 5.x is implemented?
As far I see there are no security issues. It's mostly a question of supported browsers and platforms. Bootstrap 3.x still works very well and is stable. It just lacks modern features like Flexbox.
Oliver Georgi | phpwcms Developer | GitHub | LinkedIn | Систрон
Post Reply